Bug 56946 - [Qt][Symbian] Fix Api test failure -- tst_QWebFrame::setHtmlWithBaseURL
Summary: [Qt][Symbian] Fix Api test failure -- tst_QWebFrame::setHtmlWithBaseURL
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: S60 Hardware Other
: P2 Normal
Assignee: Yi Shen
URL:
Keywords:
Depends on:
Blocks: 38654 50925
  Show dependency treegraph
 
Reported: 2011-03-23 12:11 PDT by Yi Shen
Modified: 2011-05-17 06:16 PDT (History)
5 users (show)

See Also:


Attachments
first try (1.23 KB, patch)
2011-03-23 12:14 PDT, Yi Shen
no flags Details | Formatted Diff | Diff
proposed fix (1.27 KB, patch)
2011-03-24 07:42 PDT, Yi Shen
no flags Details | Formatted Diff | Diff
updated with Siddharth's suggestion (705 bytes, patch)
2011-04-05 09:50 PDT, Yi Shen
no flags Details | Formatted Diff | Diff
fix the changlog (1.30 KB, patch)
2011-04-05 09:53 PDT, Yi Shen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Shen 2011-03-23 12:11:21 PDT
tst_QWebFrame::setHtmlWithBaseURL tries to load an image resource from a particular path, while, this resource doesn't exist under symbian environment. Will provide a patch soon.
Comment 1 Yi Shen 2011-03-23 12:14:43 PDT
Created attachment 86661 [details]
first try
Comment 2 Yi Shen 2011-03-24 07:42:42 PDT
Created attachment 86772 [details]
proposed fix
Comment 3 Kenneth Rohde Christiansen 2011-03-24 11:42:46 PDT
Comment on attachment 86772 [details]
proposed fix

Why dont other platforms need this?
Comment 4 Yi Shen 2011-03-25 11:43:23 PDT
(In reply to comment #3)
> (From update of attachment 86772 [details])
> Why dont other platforms need this?

For desktop env like Linux, Windows, they don't need this. For other mobile env like Meego, Maemo, they may need to add a similar, platform-dependent patch. It would be good to be done in a separated bug. Thanks!
Comment 5 Siddharth Mathur 2011-03-26 13:56:13 PDT
(In reply to comment #2)
> Created an attachment (id=86772) [details]
> proposed fix

If the .png and other content can be loaded from a qrc:// URL as part of the test, then we should prefer that. I.e add to qmake's RESOURCES list. 

If the test requires loading a file from local disk, then we should install the .png within c:\private\UID3ofTestRunnerEXE\ , and not in C:\resource
Comment 6 Yi Shen 2011-04-05 09:50:08 PDT
Created attachment 88258 [details]
updated with Siddharth's suggestion
Comment 7 Yi Shen 2011-04-05 09:53:29 PDT
Created attachment 88261 [details]
fix the changlog
Comment 8 Tor Arne Vestbø 2011-04-26 15:43:37 PDT
Comment on attachment 88261 [details]
fix the changlog

lgtm
Comment 9 WebKit Commit Bot 2011-04-26 16:19:04 PDT
Comment on attachment 88261 [details]
fix the changlog

Clearing flags on attachment: 88261

Committed r84974: <http://trac.webkit.org/changeset/84974>
Comment 10 WebKit Commit Bot 2011-04-26 16:19:09 PDT
All reviewed patches have been landed.  Closing bug.